Debit Card
How to use DebitCard to submit a payin in Uruguay.
Payin by DebitCard
POST https://gateway-test.pagsmile.com/trade/pay
This endpoint allows you to submit a payin by DebitCard in Uruguay.
Headers
Content-Type*
string
application/json; chartset=UTF-8
Authorization*
string
Basic Base($app_id:$security_key)
Request Body
app_id*
string
Created app's ID at dashboard. Max. 32 chars.
out_trade_no*
string
ID given by the merchant in their system. Max. 64 chars.
method*
string
Fixed value: DebitCard.
order_currency*
string
Fixed value: UYU.
order_amount*
string
Payment amount.
Range: 1 - 30,000.00.
Only integer.
subject*
string
Payment reason or item title. Max. 128 chars.
content
string
Payment reason detail or item detail. Max. 255 chars.
timestamp*
string
Format: yyyy-MM-dd HH:mm:ss.
Max. 19 chars.
notify_url*
string
Where Pagsmile will send notification to.
buyer_id*
string
Merchant user's ID.
customer.identify.type*
string
User's identification type
Avaialbe values: CI, RUT.
customer.identify.number*
string
User's identification number. CI must be 8 digits;
RUT must be 12 digits.
customer.name*
string
User's name
customer.email*
string
User's email
customer.phone*
string
User's phone
Example
Please use your own app_id and generate your own authorization token when testing.
Last updated
Was this helpful?